%define api		0.2
%define major		5
%define girmajor	0.2
%define libname		%mklibname %{name} %{api} %{major}
%define plugname	%mklibname %{name}-plugins %{api}
%define develname	%mklibname -d %{name}
%define girname		%mklibname %{name}-gir %{girmajor}

Summary:	An audio/video communications framework
Name:		farstream
Version:	0.2.8
Release:	%mkrel 1
License:	LGPLv2+
URL:		http://www.freedesktop.org/wiki/Software/Farstream
Group:		Networking/Instant messaging
Source0:	http://freedesktop.org/software/farstream/releases/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.32
BuildRequires:	pkgconfig(gstreamer-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-base-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-check-1.0) >= 1.0
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0) >= 1.0
BuildRequires:	pkgconfig(nice) >= 0.1.3
BuildRequires:	gobject-introspection-devel
# Obsolete old src pkg
Obsoletes:	farstream0.2 < 0.2.3-2
Obsoletes:	farstream0.1 < 0.2.0

%description
The Farstream (formerly Farsight) project is an effort to create a framework to
deal with all known audio/video conferencing protocols. On one side it offers a
generic API that makes it possible to write plugins for different streaming
protocols, on the other side it offers an API for clients to use those plugins.

The main target clients for Farstream are Instant Messaging applications. These
applications should be able to use Farstream for all their Audio/Video
conferencing needs without having to worry about any of the lower level
streaming and NAT traversal issues.

%package -n %{plugname}
Summary:	Farstream plugins
Group:		System/Libraries
Conflicts:	%_lib%{name}0.2_2 < 0.2.7
Conflicts:	%_lib%{name}0.2_5 < 0.2.7-2

%description -n %{plugname}
Shared libraries for %{name}.

%package -n %{libname}
Summary:	Farstream library
Group:		System/Libraries
Requires:	%{plugname}
Obsoletes:	%_lib%{name}0.2_2 < 0.2.7

%description -n %{libname}
Shared libraries for %{name}.

%package -n	gstreamer1.0-%{name}
Summary:	Set of plugins for GStreamer used Audio/Video conferencing
Group:		Sound/Utilities
Requires:	%{libname} = %{version}-%{release}

%description -n gstreamer1.0-%{name}
This is a set of plugins for GStreamer that will be used by Farstream
for Audio/Video conferencing.

%package -n %{develname}
Summary:	Headers of %{name} for development
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}%{api}-devel = %{version}-%{release}
Provides:	%{_lib}farstream%{api}-devel = %{version}-%{release}
Obsoletes:	%{_lib}farstream0.2-devel < 0.2.3-2
Obsoletes:	%{_lib}farstream0.1-devel < 0.2.0

%description -n %{develname}
Headers of %{name} for development.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--enable-gupnp \
	--with-package-name="%{_vendor} %{name}" \
	--with-package-origin="http://www.%{_real_vendor}.org"
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{plugname}
%{_libdir}/%{name}-%{api}/*.so

%files -n gstreamer1.0-%{name}
%{_libdir}/gstreamer-1.0/*.so
%dir %{_datadir}/%{name}/%{api}/
%{_datadir}/%{name}/%{api}/*

%files -n %{develname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/%{name}-libs-%{api}/
%doc %{_datadir}/gtk-doc/html/%{name}-plugins-%{api}/
%{_includedir}/%{name}-%{api}/
%{_datadir}/gir-1.0/Farstream-%{girmajor}.gir
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_libdir}/lib%{name}-%{api}.so

%files -n %{girname}
%{_libdir}/girepository-1.0/Farstream-%{girmajor}.typelib


%changelog
* Sat Mar 19 2016 wally <wally> 0.2.8-1.mga6
+ Revision: 992947
- new version 0.2.8

* Sun Feb 14 2016 umeabot <umeabot> 0.2.7-10.mga6
+ Revision: 960054
- Mageia 6 Mass Rebuild

* Sun Aug 02 2015 wally <wally> 0.2.7-9.mga6
+ Revision: 860733
- obsolete old lib (even it's a bit wrong) to ensure smooth upgrade from mga5

* Sun Aug 02 2015 wally <wally> 0.2.7-8.mga6
+ Revision: 860716
- use versioned conflicts

* Sun Aug 02 2015 neoclust <neoclust> 0.2.7-7.mga6
+ Revision: 860697
- Remove conflict as there is no more pugins in the package

* Sun Aug 02 2015 wally <wally> 0.2.7-6.mga6
+ Revision: 860638
- obsolete old and unused farstream0.1

* Sun Jul 26 2015 joequant <joequant> 0.2.7-5.mga6
+ Revision: 858136
- rebuild for cauldron

* Tue Jun 30 2015 wally <wally> 0.2.7-4.mga6
+ Revision: 848856
- rebuild to get more typelib() requires

* Sun Jun 28 2015 wally <wally> 0.2.7-3.mga6
+ Revision: 847172
- add requires for gir pkg to devel pkg

* Tue Jun 23 2015 tv <tv> 0.2.7-2.mga6
+ Revision: 840236
- fix upgrade

* Sun Jun 21 2015 luigiwalser <luigiwalser> 0.2.7-1.mga6
+ Revision: 838431
- library major is now 5
- 0.2.7

* Wed Oct 15 2014 umeabot <umeabot> 0.2.4-4.mga5
+ Revision: 747757
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 0.2.4-3.mga5
+ Revision: 731132
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 0.2.4-2.mga5
+ Revision: 679090
- Mageia 5 Mass Rebuild

* Fri May 09 2014 luigiwalser <luigiwalser> 0.2.4-1.mga5
+ Revision: 621591
- 0.2.4

* Sat Oct 19 2013 umeabot <umeabot> 0.2.3-3.mga4
+ Revision: 529192
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 wally <wally> 0.2.3-2.mga4
+ Revision: 450828
- rename source pkg as farstream

* Sat Jul 06 2013 luigiwalser <luigiwalser> 0.2.3-1.mga4
+ Revision: 450791
- 0.2.3

* Fri Jan 11 2013 umeabot <umeabot> 0.2.2-2.mga3
+ Revision: 350057
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.2.2-1.mga3
+ Revision: 333295
- br gir
- update file list
- imported package farstream0.2

